# generated by cabal-rpm-0.12.1
# https://fedoraproject.org/wiki/Packaging:Haskell

%bcond_with tests

Name:           bustle
Version:        0.6.2
Release:        1%{?dist}
Summary:        Draw sequence diagrams of D-Bus traffic

License:        LGPLv2+
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz

Requires:       gnome-icon-theme
BuildRequires:  intltool
BuildRequires:  help2man
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  desktop-file-utils
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cairo-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-dbus-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-gio-devel
BuildRequires:  ghc-glib-devel
BuildRequires:  ghc-gtk3-devel
BuildRequires:  ghc-hgettext-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pango-devel
BuildRequires:  ghc-pcap-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-setlocale-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  pkgconfig(glib-2.0)
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
%endif
# End cabal-rpm deps

%description
Bustle is a better dbus-monitor!

It records and draws sequence diagrams of D-Bus activity, showing
signal emissions, method calls and their corresponding returns, with
timestamps for each individual event and the duration of each method
call. This can help you check for unwanted D-Bus traffic, and pinpoint
why your D-Bus-based application isn't performing as well as you like.
It also provides statistics like signal frequencies and average method
call times.


%prep
%setup -q


%build
%ghc_bin_build


%install
%ghc_bin_install
make DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} INSTALL="install -p" install
#%%find_lang %%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.freedesktop.Bustle.desktop
%cabal_test


#%%files -f %%{name}.lang
%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-pcap
%{_datadir}/%{name}-%{version}/
%exclude %{_datadir}/%{name}-%{version}/LICENSE
%{_datadir}/appdata/org.freedesktop.Bustle.appdata.xml
%{_datadir}/applications/org.freedesktop.Bustle.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_mandir}/man1/%{name}-pcap.1*


%changelog
* Wed Jan 24 2018 Jens Petersen <petersen@redhat.com> - 0.6.2-1
- update to 0.6.2

* Sun Jan 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.4-7
- Remove obsolete scriptlets

* Mon Aug 14 2017 Jens Petersen <petersen@redhat.com> - 0.5.4-6
- reenable i686 (#1427000)

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 24 2017 Jens Petersen <petersen@redhat.com> - 0.5.4-3
- refresh to cabal-rpm-0.11.1
- exclude i686 due to missing deps (gcc7 __float128)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jun 21 2016 Jens Petersen <petersen@redhat.com> - 0.5.4-1
- update to 0.5.4

* Mon Mar  7 2016 Jens Petersen <petersen@redhat.com> - 0.4.8-7
- rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 22 2015 Jens Petersen <petersen@redhat.com> - 0.4.8-5
- rebuild

* Fri Jul  3 2015 Philip Withnall <philip@tecnocode.co.uk> - 0.4.8-4
- Rebuilt for ghc-setlocale 1.0.0.3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Apr 20 2015 Jens Petersen <petersen@redhat.com> - 0.4.8-2
- rebuild

* Thu Apr  2 2015 Jens Petersen <petersen@redhat.com> - 0.4.8-1
- update to 0.4.8

* Sat Feb 14 2015 Jens Petersen <petersen@redhat.com> - 0.4.7-6
- patch from git to build with pango/glib 0.13

* Fri Dec 12 2014 Philip Withnall <philip@tecnocode.co.uk> - 0.4.7-5
- Rebuilt for libHSbase changes

* Sun Sep 21 2014 Philip Withnall <philip@tecnocode.co.uk> - 0.4.7-4
- Rebuilt for ghc-setlocale 1.0.0.1

* Mon Sep  8 2014 Jens Petersen <petersen@redhat.com> - 0.4.7-3
- rebuild (for libHSdbus bump)

* Mon Sep 1 2014 Philip Withnall <philip@tecnocode.co.uk> - 0.4.7-2
- Rebuilt for ghc-setlocale 1.0.0

* Tue Aug 12 2014 Philip Withnall <philip@tecnocode.co.uk> - 0.4.7-1
- spec file generated by cabal-rpm-0.8.11
